Subject: Takes several minutes to load 512k C header

From: Michael Meeks <[email-masked]>
Date: Mon, 01 Sep 2008 12:16:14 +0100

I try to load the attached file (when un-compressed). It's 512k of
text, but I have a fast multi-GHz machine with GBs of spare RAM etc. and
I can load 20+Mb .txt files in emacs just fine normally.

	Loading this generates several minutes of non-responsiveness.

	HTH,

		Michael.

In GNU Emacs 22.2.1 (i586-suse-linux-gnu, GTK+ Version 2.12.9)
 of 2008-06-07 on nepomuk
Windowing system distributor `The X.Org Foundation', version
11.0.10400090
configured using `configure  '--with-gcc' '--with-pop'
'--without-hesiod' '--with-kerberos' '--with-kerberos5' '--with-leim'
'--with-xim' '--with-system-malloc' '--prefix=/usr'
'--infodir=/usr/share/info' '--mandir=/usr/share/man'
'--localstatedir=/var' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--with-x' '--with-sound' '--with-xpm'
'--with-jpeg' '--with-tiff' '--with-gif' '--with-png'
'--with-x-toolkit=gtk' '--x-includes=/usr/include'
'--x-libraries=/usr/lib:/usr/share/X11' '--build=i586-suse-linux-gnu'
'build_alias=i586-suse-linux-gnu' 'CC=gcc' 'CFLAGS=-O2 -march=i586
-mtune=i686 -fmessage-length=0 -Wall -D_FORTIFY_SOURCE=2
-fstack-protector -g -D_GNU_SOURCE -std=gnu89 -pipe -fno-strict-aliasing
-Wno-pointer-sign -Wno-unused-variable -Wno-unused-label
-Wno-unprototyped-calls -DSYSTEM_PURESIZE_EXTRA=55000
-DSITELOAD_PURESIZE_EXTRA=10000 ' 'LDFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-x C-f C-a C-k / t m p <tab> h a n g . h <tab> <return> 
<return> <next> <next> <next> <next> <next> <C-end> 
C-x k <return> C-x C-f <up> <return> <down-mouse-1> 
<drag-mouse-1> q <up> q <down-mouse-1> <mouse-1> M-x 
e m a c s - r e p <tab> <backspace> <backspace> M-b 
M-b C-k r e m <backspace> p o r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Note: file is write protected
Loading cc-mode...
Loading advice...done
Loading cc-mode...done
Buffer is read-only: #<buffer hang.h>
Mark set
Note: file is write protected
Buffer is read-only: #<buffer hang.h> [2 times]
Loading emacsbug...done

-- 
 [email-masked]  <><, Pseudo Engineer, itinerant idiot